package com.repair.model.enumModel;

/**
 * @Author: binguo
 * @Date: 2023/7/11 星期二 16:39
 * @Description: com.repair.model.enumModel
 * @Version: 1.0
 */
public enum eIdentityType {
    //微校身份类型ID
    Other(0),//其他
    Student(1),//学生
    Teacher(4),//教职工
    Alumnus(5),//校友
    Undergraduate(6);//本科生

    private int value;

    eIdentityType(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eIdentityType valueOf(int value) {
        switch (value) {
            case 0:
                return eIdentityType.Other;
            case 1:
                return eIdentityType.Student;
            case 4:
                return eIdentityType.Teacher;
            case 5:
                return eIdentityType.Alumnus;
            case 6:
                return eIdentityType.Undergraduate;
            default:
                return null;
        }
    }
    public static String stringOf(Integer value) {
        switch (value) {
            case 0:
                return "其他";
            case 1:
                return "学生";
            case 4:
                return "教职工";
            case 5:
                return "校友";
            case 6:
                return "本科生";
            default:
                return null;
        }
    }
}
